
Application: gvSIG desktop - gvSIG bugs #5057
No se presentan las propiedades de la vista 3D
04/01/2019 11:43 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.5.0-2928
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 2914 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Cuando presentan las propiedades de la vista, por el log sale el siguiente error y estas no se presentan:

 WARN 254873 [AWT-EventQueue-0] (DefaultPropertiesPageManager.java:104) - Can't get properties page from factory
'org.gvsig.view3d.app.properties.ViewProperties3DPageFactory'.
java.lang.AbstractMethodError
        at org.gvsig.propertypage.impl.DefaultPropertiesPageManager.getPages(DefaultPropertiesPageManager.java:98)
        at org.gvsig.propertypage.BasePropertiesPageDialog.init(BasePropertiesPageDialog.java:42)
        at org.gvsig.app.project.documents.view.gui.ViewProperties.<init>(ViewProperties.java:52)
        at org.gvsig.app.extension.ViewPropertiesExtension.execute(ViewPropertiesExtension.java:56)
        at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:307)
        at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.actionPerformed(DefaultActionInfo.java:352)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2022)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2348)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
        at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
        at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833)
        at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:877)
        at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
        at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
        at java.awt.Component.processMouseEvent(Component.java:6535)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3324)
        at java.awt.Component.processEvent(Component.java:6300)
        at java.awt.Container.processEvent(Container.java:2236)
        at java.awt.Component.dispatchEventImpl(Component.java:4891)
        at java.awt.Container.dispatchEventImpl(Container.java:2294)
        at java.awt.Component.dispatchEvent(Component.java:4713)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4888)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4525)
        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4466)
        at java.awt.Container.dispatchEventImpl(Container.java:2280)
        at java.awt.Window.dispatchEventImpl(Window.java:2750)
        at java.awt.Component.dispatchEvent(Component.java:4713)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
        at java.awt.EventQueue.access$500(EventQueue.java:97)
        at java.awt.EventQueue$3.run(EventQueue.java:709)
        at java.awt.EventQueue$3.run(EventQueue.java:703)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
        at java.awt.EventQueue$4.run(EventQueue.java:731)
        at java.awt.EventQueue$4.run(EventQueue.java:729)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
        at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
 INFO 254879 [AWT-EventQueue-0] (Messages.java:753) - [org.gvsig.i18n.Messages] Cannot find translation for key
'_Click_to_see_more_action_in_this_panel'.

Associated revisions
Revision 2048 - 10/30/2019 02:03 PM - Joaquín  del Cerro Murciano

refs  #5057, he metido una ñapa para que no fallen las propiedades de la vista 3D, sin tener que recompilar 3D.

History
#1 - 10/29/2019 05:28 PM - Álvaro Anguix
- Target version changed from 2.5.0-2930-final to 2.5.1-3044

#2 - 10/30/2019 02:03 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.0-2928
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 10/30/2019 02:35 PM - Joaquín  del Cerro Murciano

He hecho una ñapa para que funcione sin tener que recompilar 3D.

#4 - 11/04/2019 01:26 PM - Álvaro Anguix
- Status changed from Fixed to Closed
